package myUtil;

public class DateUtil {

	/**
	 * date 日付8桁
	 * @param args
	 */
	public static String calenderUtil(String date) {

		String checkLengthDate = TypeCheckUtil.checkLength(date);
		String eight = Enumber.sTeight;

		if (Integer.parseInt(checkLengthDate) != Integer.parseInt(eight)) {
			System.out.println("日付桁数が西暦桁数と一致しませんではありません。");
		}

		if (!TypeCheckUtil.checkPattern(date)) {
			System.out.println("日付の記載様式に誤りがあります。");
		}

		if (!TypeCheckUtil.checkPatternSInot(date)) {
			System.out.println("日付が範囲外です。");
		}

		String dateOutput = date;

		return dateOutput;
	};

}
